Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class ReasoningTransitionBase<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ReasoningTransitionBase<F>

All Implemented Interfaces:
  FlowElement, Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

Direct Known Subclasses:
  TypeFilterTransition

    public abstract class ReasoningTransitionBase<F>

extends Object
implements Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

Field Summary
`protected KnowledgeBase<F>` | `knowledgeBase`
`protected Object` | `rule`

Constructor Summary
`ReasoningTransitionBase()`

Method Summary
`void` | `afterConnect()`
`void` | `beforeConnect()`
`void` | `setKnowledgeBase(KnowledgeBase<F> knowledgeBase)`
`void` | `setRuleIndex(int ruleIndex)`
`void` | `setRules(List<?> rules)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hammurapi.flow.runtime.Transition
`getInvocable, getInvoker`

Field Detail

### rule

    protected Object rule

### knowledgeBase

    protected KnowledgeBase<F> knowledgeBase

Constructor Detail

### ReasoningTransitionBase

    public ReasoningTransitionBase()

Method Detail

### setRuleIndex

    public void setRuleIndex(int ruleIndex)

### setRules

    public void setRules(List<?> rules)
                  throws ConfigurationException

  Throws:
    `ConfigurationException`

### setKnowledgeBase

    public void setKnowledgeBase(KnowledgeBase<F> knowledgeBase)

### beforeConnect

    public void beforeConnect()
                       throws ConfigurationException

  Specified by:
    `beforeConnect` in interface `FlowElement`
  Throws:
    `ConfigurationException`

### afterConnect

    public void afterConnect()
                      throws ConfigurationException

  Specified by:
    `afterConnect` in interface `FlowElement`
  Throws:
    `ConfigurationException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD